MWAWChart::TextZone Struct Reference documentation

MWAWChart::TextZone Struct Reference

a text zone a chart More...

`#include <MWAWChart.hxx>`

## Public Types
enum | Type { T_Title , T_SubTitle , T_AxisX , T_AxisY , T_AxisZ }
| the text type More...
enum | ContentType { C_Cell , C_Text }
| the text content type More...

## Public Member Functions
| TextZone ()
| constructor
| TextZone (TextZone const &)=default
TextZone & | operator= (TextZone const &)=default
| ~TextZone ()
| destructor
void | addContentTo (std::string const &sheetName, librevenge::RVNGPropertyList &propList) const
| add content to the propList
void | addStyleTo (librevenge::RVNGPropertyList &propList, std::shared_ptr< MWAWFontConverter > fontConverter) const
| add to the propList

## Public Attributes
Type | m_type
| the zone type
ContentType | m_contentType
| the content type
MWAWVec2f | m_position
| the position in the zone
MWAWVec2i | m_cell
| the cell position ( for title and subtitle )
MWAWEntry | m_textEntry
| the text entry
MWAWFont | m_font
| the zone format
MWAWGraphicStyle | m_style
| the graphic style

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWChart::TextZone const &zone)
| operator<<

## Detailed Description

a text zone a chart

## Member Enumeration Documentation

## ◆ ContentType

enum MWAWChart::TextZone::ContentType

the text content type

Enumerator
C_Cell |
C_Text |

## ◆ Type

enum MWAWChart::TextZone::Type

the text type

Enumerator
T_Title |
T_SubTitle |
T_AxisX |
T_AxisY |
T_AxisZ |

## Constructor & Destructor Documentation

## ◆ TextZone() [1/2]

MWAWChart::TextZone::TextZone | ( |  | ) |

constructor

Referenced by operator=(), TextZone(), and TextZone().

## ◆ TextZone() [2/2]

MWAWChart::TextZone::TextZone | ( | TextZone const & |  | ) |
| default

## ◆ ~TextZone()

MWAWChart::TextZone::~TextZone | ( |  | ) |

destructor

## Member Function Documentation

## ◆ addContentTo()

void MWAWChart::TextZone::addContentTo | ( | std::string const & | sheetName,
|  | librevenge::RVNGPropertyList & | propList ) const

add content to the propList

Referenced by MWAWChart::sendChart().

## ◆ addStyleTo()

void MWAWChart::TextZone::addStyleTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::shared_ptr< MWAWFontConverter > | fontConverter ) const

add to the propList

Referenced by MWAWChart::sendChart().

## ◆ operator=()

TextZone & MWAWChart::TextZone::operator= | ( | TextZone const & |  | ) |
| default

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWChart::TextZone const & | zone )
| friend

operator<<

## Member Data Documentation

## ◆ m_cell

MWAWVec2i MWAWChart::TextZone::m_cell

the cell position ( for title and subtitle )

Referenced by addContentTo(), operator<<, and TextZone().

## ◆ m_contentType

ContentType MWAWChart::TextZone::m_contentType

the content type

Referenced by addContentTo(), operator<<, BeagleWksSSParser::readChart(), MWAWChart::sendChart(), and TextZone().

## ◆ m_font

MWAWFont MWAWChart::TextZone::m_font

the zone format

Referenced by addStyleTo(), BeagleWksSSParserInternal::Chart::sendContent(), and TextZone().

## ◆ m_position

MWAWVec2f MWAWChart::TextZone::m_position

the position in the zone

Referenced by addContentTo(), operator<<, and TextZone().

## ◆ m_style

MWAWGraphicStyle MWAWChart::TextZone::m_style

the graphic style

Referenced by addStyleTo(), operator<<, and TextZone().

## ◆ m_textEntry

MWAWEntry MWAWChart::TextZone::m_textEntry

the text entry

Referenced by BeagleWksSSParser::readChart(), BeagleWksSSParserInternal::Chart::sendContent(), and TextZone().

## ◆ m_type

Type MWAWChart::TextZone::m_type

the zone type

Referenced by MWAWChart::add(), addContentTo(), operator<<, BeagleWksSSParser::readChart(), MWAWChart::sendChart(), and TextZone().

The documentation for this struct was generated from the following files:

- MWAWChart.hxx
- MWAWChart.cxx